## com.bbn.openmap.examples.beanbox
Class SimpleBeanObjectBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.bbn.openmap.examples.beanbox.SimpleBeanObjectBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

Direct Known Subclasses:
  FighterBeanInfo, SimpleBeanContainerBeanInfo

public class SimpleBeanObjectBeanInfo
extends java.beans.SimpleBeanInfo

A BeanInfo for the `SimpleBeanObject`bean.

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`SimpleBeanObjectBeanInfo()`

Method Summary
`java.awt.Image` `getIcon(int iconKind)`
`java.beans.PropertyDescriptor[]` `getPropertyDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBeanObjectBeanInfo

    public SimpleBeanObjectBeanInfo()

Method Detail

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

### getIcon

    public java.awt.Image getIcon(int iconKind)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details